Subject: Re: [Diffserv] The relation between PDB's and the SLSs

From: Brian E Carpenter <[email-masked]>
Date: Sat, 31 Mar 2001 15:33:32 -0600

Larry,

Some history and context: we took a firm decision when the diffserv WG was
chartered that it would not discuss end to end service definitions, and would
even more certainly not discuss service level agreements. This was to allow
(and force) the WG to concentrate on low level mechanisms, a bite-sized problem
we felt able to tackle. Indeed it has only taken us 3 years to get these
mechanisms approximately defined :-)

The PDB work was added in response to a clear feeling in the community
that we needed to try to specify edge to edge behavior, at least in
a statistical fashion. Now a PDB defines some parameters, but it does
not define their values. Just to invent a trivial example, a PDB
might have exactly three parameters, a loss rate L that is not exceeded
for percentage P of intervals of length T. In my personal opinion
(this is not a WG opinion), an SLS based on that PDB would simply
specify values for {L,P,T}, e.g. {L=0.1%, P=99.9%, T= 10 seconds}. So
to me an SLS is simply a PDB with its parameters set to numerical
values. 

I personally disagree with the extract you quote. If there isn't
a clear mapping between PDB parameters and SLS parameters, the SLS
isn't implementable. The customer might see parameters one step
more abstract in an SLA, but SLAs aren't in IETF scope at all.

However, this is not and will not be a topic for the diffserv WG itself.
That's why there is a move to create a separate IETF activity for SLSs.

Now, if the SLS work ended up with parameters that didn't map readily
to PDB parameters, we'd have a problem. But since no PDBs have been
approved for publication yet, except the Default PDB which has no
parameters, we aren't at that point yet. The diffserv co-chairs still
believe that we don't have enough practical deployment experience yet
to freeze the choice of PDB or SLS parameters. 

   Brian

Larry Jones wrote:
> 
> Could someone inform me of how the PDB activities occuring the the DiffServ
> working group or related to (or not related to) the SLS Internet Drafts such
> as "Service Level Specification Semantics and Parameters". I have only just
> recently been tracking the workgroup but intuitively it appears that the
> objectives may be somehat overlapping. If not I an intereseted in if there
> has been some formalism established regarding how the two activities relate
> to each other.
> 
> In "Service Level Specfication and Usage Framework", by Yves T' Jones et.
> al. it states that "The specification of SLSs is out of the scope of the
> DiffServ WG. The definition of PDB's could however have an impact on the SLS
> definition.... It is important to keep in mind that in general the PDB
> definitions and their attributes are not expected to be directly visible to
> customers at the SLS level".
> 
> This distinction is somewhat perplexing to me since it is not clear why the
> PDB can not be itself be used instead of the SLS formalism specified in
> those references. Can somewhat help me out with the formalism in how the two
> transport domain level specifications are intended to coexist.
> 
> thanks in advance,
> 
> Larry Jones
> Verizon Laboratories

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www2.ietf.org/mail-archive/working-groups/diffserv/current/maillist.html

---

From: Marcus Brunner <[email-masked]>
Date: Mon, 02 Apr 2001 12:18:57 +0200

Brian,

I aggree, that there is not enough deployment experience. On the other 
hand, without at least PDB/SLS proposals, it is very difficult to convience 
potential customers to use DiffServ -> deployment at all.

Today I see many ISPs/Operators not jumping on DiffServ, because they do 
not see what "Service" can be provided using the DiffServ mechanisms. 
Furthermore, they are interested in end-to-end services. Without working at 
least into the direction of end-to-end services, there is low chance to 
deploy DiffServ.

Marcus

--On Saturday, March 31, 2001 3:33 PM -0600 Brian E Carpenter 
<[email-masked]> wrote:

[...]

> to freeze the choice of PDB or SLS parameters.
[...]
--------------------------------------
Dr. Marcus Brunner
C&C Research Laboratories
NEC Europe Ltd.

E-Mail: [email-masked]
WWW:    http://www.ccrle.nec.de/
personal home page: http://www.tik.ee.ethz.ch/~brunner

Adenauerplatz 6
D-69115 Heidelberg
Germany

Phone: +49 (0)6221/ 9051129
Fax:   +49 (0)6221/ 9051155

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 02 Apr 2001 08:13:37 -0500

Actually I think ISPs are interested in edge to edge services, because 
they know they can never guarantee end to end; it's customers who care about 
end to end services. But it's precisely because of the chicken and egg 
problem that we started the PDB work, and now we need the R&D community
to give us some feedback.

Regards
   Brian

---

From: Carlos Alberto Kamienski <[email-masked]>
Date: Wed, 04 Apr 2001 09:18:37 -0300

Brian

What do you mean by "it's customers who care about end to end services" ?
Are you thinking in the end to end arguments to support this statement ?

I think the idea of having ISPs cooperating through  negotiation to deploy end to end
services is that one ISP can't deploy worldwide e2e services by itself  (even though it
could want it) and advanced applications can't rely on best effort service to work properly.

Carlos Kamienski

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 04 Apr 2001 09:55:59 -0500

> Are you thinking in the end to end arguments to support this statement ?

No, simply that the only people who depend on end to end service are
actual customers. ISPs can only control edge to edge service.
> could want it) and advanced applications can't rely on best effort service to work properly.

The network runs on bilateral connections between ISPs. It's at the bilateral
peering points that PDB parameters will be measured. If we try to extend
standardisation to a wider scope than that, we will surely fail. In any case,
diffserv is entirely based on the edge to edge model, and anything outside
that scope belongs on another mailing list.

   Brian